## org.apache.hadoop.contrib.failmon
Class Executor

    java.lang.Object
      org.apache.hadoop.contrib.failmon.Executor

All Implemented Interfaces:
  Runnable

    public class Executor

extends Object
implements Runnable

This class executes monitoring jobs on all nodes of the cluster, on which we intend to gather failure metrics. It is basically a thread that sleeps and periodically wakes up to execute monitoring jobs and ship all gathered data to a "safe" location, which in most cases will be the HDFS filesystem of the monitored cluster.

Field Summary
`static int` `DEFAULT_LOG_INTERVAL`
`static int` `DEFAULT_POLL_INTERVAL`
`static int` `instances`
`static int` `MIN_INTERVAL`

Constructor Summary
`Executor(Configuration conf)` Create an instance of the class and read the configuration file to determine the set of jobs that will be run and the maximum interval for which the thread can sleep before it wakes up to execute a monitoring job on the node.

Method Summary
`void` `cleanup()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LOG_INTERVAL

    public static final int DEFAULT_LOG_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_POLL_INTERVAL

    public static final int DEFAULT_POLL_INTERVAL

See Also:
  Constant Field Values

### MIN_INTERVAL

    public static int MIN_INTERVAL

### instances

    public static int instances

Constructor Detail

### Executor

    public Executor(Configuration conf)

  Create an instance of the class and read the configuration file to determine the set of jobs that will be run and the maximum interval for which the thread can sleep before it wakes up to execute a monitoring job on the node.

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### cleanup

    public void cleanup()

Copyright © 2009 The Apache Software Foundation